
def maidiannumber(result):
    length = len(result)

    if length > 1:
        print("共筛查出重复埋点数：%s" % length)
        raise Exception('该埋点存在重复 %s' %result)
    elif length < 1:
        raise Exception('该埋点存在缺失或上报参数不对导致的筛选异常 %s' % result)
    else:
        print("埋点数据正常")

def devices_id(id):
    print(id)
    print(type(id))
    if id == "868410041790363":
        print("设备号校验正常 预期设备号：868410041790363 实际设备号： %s" % id)
    elif id == "androidid_9761b0ff31fe5e1b":
        print("设备号校验正常 预期设备号：androidid_9761b0ff31fe5e1b 实际设备号： %s" % id)
    else:
        raise Exception('设备号与预期不符，预期设备号为：868410041790363 实际设备号为： %s' % id)


